define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction",
                    "href":"introduction.html"
                },
                {
                    "title":"Part I Integration with Apache Hadoop MapReduce",
                    "href":"integration-apache-hadoop-mapreduce.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2 </span> Introduction to Integration with Apache Hadoop MapReduce",
                            "href":"hadoop-introduction.html",
                            "topics":[
                                {
                                    "title":"Prerequisites",
                                    "href":"prerequisites.html"
                                },
                                {
                                    "title":"A Brief Primer on Apache Hadoop",
                                    "href":"primer.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3 </span> The CountTableRows Example",
                            "href":"counttablerows-example.html",
                            "topics":[
                                {
                                    "title":"Compile, Build, and Run the CountTableRows Example",
                                    "href":"compile-build-run-counttablerows-example.html",
                                    "topics":[
                                        {
                                            "title":"Building CountTableRows When the Store is Non-Secure",
                                            "href":"building-counttablerows-when-store-is-non-secure.html"
                                        },
                                        {
                                            "title":"Building CountTableRows When the Store is Secure",
                                            "href":"building-counttablerows-when-store-is-secure.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Non-Secure",
                                            "href":"running-counttablerows-when-store-is-non-secure.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Secure and a Password File is Used",
                                            "href":"running-counttablerows-when-store-is-secure-and-password-file-is-used.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Secure and an Oracle Wallet is Used",
                                            "href":"running-counttablerows-when-store-is-secure-and-oracle-wallet-is-used.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"CountTableRows MapReduce Job Results",
                                    "href":"counttablerows-mapreduce-job-results.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Appendix",
                            "href":"hadoop-integration-appendix.html",
                            "topics":[
                                {
                                    "title":"Deploying a Non-Secure Store",
                                    "href":"deploying-non-secure-store.html#GUID-F972F72C-8E1A-4160-A4BF-82B755A58253"
                                },
                                {
                                    "title":"Deploying a Secure Store",
                                    "href":"deploying-secure-store.html#GUID-97E9FC3F-014A-4DF2-A75C-A173ADC29FF8"
                                },
                                {
                                    "title":"CountTableRows Support Programs",
                                    "href":"counttablerows-support-programs.html#GUID-77EB54AB-41DE-4B26-8268-581336D67FAA"
                                },
                                {
                                    "title":"Model For Building & Packaging Secure Clients",
                                    "href":"model-building-and-packaging-secure-clients.html#GUID-E4CA6266-A27C-4FCE-B745-8DC91FDC8AE3"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part II Integration with Elastic Search for Full Text Search",
                    "href":"integration-elastic-search-full-text-search.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5 </span> About Full Text Search",
                            "href":"fts.html",
                            "topics":[
                                {
                                    "title":"About Full Text Search",
                                    "href":"fts1.html"
                                },
                                {
                                    "title":"Prerequisite to Full Text Search",
                                    "href":"prereq.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Intergrating Elasticsearch with Oracle NoSQL Database",
                            "href":"integrating-es.html",
                            "topics":[
                                {
                                    "title":"Registering Elasticsearch with Oracle NoSQL Database",
                                    "href":"registering-es.html"
                                },
                                {
                                    "title":"Deregistering Elasticsearch from an Oracle NoSQL Store",
                                    "href":"deregistering-es.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Managing Full Text Index",
                            "href":"managing-fti.html",
                            "topics":[
                                {
                                    "title":"Creating a Full Text Index",
                                    "href":"creating-fti.html"
                                },
                                {
                                    "title":"Mapping a Full Text Index Field to an Elasticsearch Field",
                                    "href":"mapping-fti.html"
                                },
                                {
                                    "title":"Handling TIMESTAMP Data Type",
                                    "href":"handling-ts.html",
                                    "topics":[
                                        {
                                            "title":"Mapping Oracle NoSQL TIMESTAMP to Elasticsearch date Type",
                                            "href":"mapping-ts-es.html"
                                        },
                                        {
                                            "title":"Full Text Search of Indexed TIMESTAMP Scalar",
                                            "href":"ex-fts-ts.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Handling JSON Data Type",
                                    "href":"handling-json.html",
                                    "topics":[
                                        {
                                            "title":"Review: Secondary Indexes on JSON Document Content",
                                            "href":"creating-sec-index.html"
                                        },
                                        {
                                            "title":"Creating Text Indexes on JSON Document Content",
                                            "href":"creating-text-index.html"
                                        },
                                        {
                                            "title":"Full Text Search of Indexed JSON Documents",
                                            "href":"ex-fts-json.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Deleting a Full Text Index",
                                    "href":"deleting-fti.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">8 </span> Security in Full Text Search",
                            "href":"security-fts.html",
                            "topics":[
                                {
                                    "title":"Elasticsearch and Secure Oracle NoSQL Database",
                                    "href":"es-and-secure-nosql.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Appendix",
                            "href":"elastic-search-appendix.html",
                            "topics":[
                                {
                                    "title":"Sample: Array of JSON Documents",
                                    "href":"appa-json-array.html"
                                },
                                {
                                    "title":"The LoadJsonExample Program Source",
                                    "href":"appb-json-fts.html"
                                },
                                {
                                    "title":"Secure Elasticsearch using Sheild",
                                    "href":"appc-secure-es-using-shield.html"
                                },
                                {
                                    "title":"Deploying and Configuring a Secure Oracle NoSQL Store",
                                    "href":"appd-deploying-configuring-secure-nosql-store.html"
                                },
                                {
                                    "title":"Install the Full Text Search Public Certificate in Elasticsearch",
                                    "href":"appe-install-fts-public-cert-es.html"
                                },
                                {
                                    "title":"Running the Examples in Secure Mode",
                                    "href":"appf-running-examples-secure-mode.html"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});